#ifndef __DELAY_H
#define __DELAY_H 			   

#include "shark_types.h"

extern shark_u64 shark_mseconds;
extern shark_u32 shark_seconds;
extern shark_u16 shark_msecond;

void systick_close(void);
void systick_config(void);
void delay_1ms(uint32_t count);
void delay_1us(uint16_t cnt);

shark_u64 shark_get_time_safe(void);

static inline shark_u64 shark_get_mseconds(void)
{
	return shark_mseconds;
}

static inline shark_u32 shark_get_seconds(void)
{
	return shark_seconds;
}

#endif



